summaryrefslogtreecommitdiff
path: root/tests/readlink/can-e.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/readlink/can-e.sh')
-rwxr-xr-xtests/readlink/can-e.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/tests/readlink/can-e.sh b/tests/readlink/can-e.sh
index a6415b94..05f297b7 100755
--- a/tests/readlink/can-e.sh
+++ b/tests/readlink/can-e.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# tests for canonicalize-existing mode (readlink -e).
-# Copyright (C) 2004-2014 Free Software Foundation, Inc.
+# Copyright (C) 2004-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -38,7 +38,7 @@ cd "$pwd/$tmp/removed" || framework_failure_
# Skip this test if the system doesn't let you remove the working directory.
if rmdir ../removed 2>/dev/null; then
- v=$(readlink -e .) && fail=1
+ v=$(returns_ 1 readlink -e .) || fail=1
test -z "$v" || fail=1
fi
@@ -49,7 +49,7 @@ for p in "" "$pwd/$tmp/"; do
v=$(readlink -e "${p}regfile") || fail=1
test "$v" = "$my_pwd/$tmp/regfile" || fail=1
- v=$(readlink -e "${p}./regfile/") && fail=1
+ v=$(returns_ 1 readlink -e "${p}./regfile/") || fail=1
test -z "$v" || fail=1
v=$(readlink -e "${p}subdir") || fail=1
@@ -58,19 +58,19 @@ for p in "" "$pwd/$tmp/"; do
v=$(readlink -e "${p}./subdir/") || fail=1
test "$v" = "$my_pwd/$tmp/subdir" || fail=1
- v=$(readlink -e "${p}missing") && fail=1
+ v=$(returns_ 1 readlink -e "${p}missing") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}./missing/") && fail=1
+ v=$(returns_ 1 readlink -e "${p}./missing/") || fail=1
test -z "$v" || fail=1
v=$(readlink -e "${p}link1") || fail=1
test "$v" = "$my_pwd/$tmp/regfile" || fail=1
- v=$(readlink -e "${p}./link1/") && fail=1
+ v=$(returns_ 1 readlink -e "${p}./link1/") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}link1/more") && fail=1
+ v=$(returns_ 1 readlink -e "${p}link1/more") || fail=1
test -z "$v" || fail=1
v=$(readlink -e "${p}link2") || fail=1
@@ -79,25 +79,25 @@ for p in "" "$pwd/$tmp/"; do
v=$(readlink -e "${p}./link2/") || fail=1
test "$v" = "$my_pwd/$tmp/subdir" || fail=1
- v=$(readlink -e "${p}link2/more") && fail=1
+ v=$(returns_ 1 readlink -e "${p}link2/more") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}link3") && fail=1
+ v=$(returns_ 1 readlink -e "${p}link3") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}./link3/") && fail=1
+ v=$(returns_ 1 readlink -e "${p}./link3/") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}link3/more") && fail=1
+ v=$(returns_ 1 readlink -e "${p}link3/more") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}link4") && fail=1
+ v=$(returns_ 1 readlink -e "${p}link4") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}./link4/") && fail=1
+ v=$(returns_ 1 readlink -e "${p}./link4/") || fail=1
test -z "$v" || fail=1
- v=$(readlink -e "${p}link4/more") && fail=1
+ v=$(returns_ 1 readlink -e "${p}link4/more") || fail=1
test -z "$v" || fail=1
done